package routes

import (
	"git.espin.casa/albert/cml04-falcon-ui/handlers"
	"git.espin.casa/albert/cml04-falcon-ui/storage"
	"github.com/julienschmidt/httprouter"
)

func CreateRoutes(r *httprouter.Router, storage storage.Storager) {
	r.GET("/", handlers.IndexHandler(storage))
	r.GET("/hbcp", handlers.HBCPHandler(storage))
	r.GET("/po", handlers.PoHandler(storage))
	r.GET("/co", handlers.CoHandler(storage))
	r.GET("/bcp", handlers.BCPHandler(storage))
	r.GET("/lcp", handlers.LCPHandler(storage))
	r.GET("/barcodes", handlers.BarcodesHandler(storage))
	r.POST("/barcodes", handlers.BarcodesHandler(storage))
	r.GET("/labels", handlers.LabelsHandler())
	r.GET("/standards", handlers.StandardsHandler(storage))
	r.GET("/bundle", handlers.BundleHandler(storage))
	r.POST("/bundle", handlers.BundleHandler(storage))
}
